/*  Wordtrans, front-end for several dictionaries, for the Qt toolkit.
    Copyright (C) 2000 Ricardo Villalba <rvm@linuxfan.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**********************************************************************

	--- Qt Architect generated file ---

	File: QChooseDictType.cpp
	Last generated: Wed Nov 1 00:11:14 2000

 *********************************************************************/

#include "chooseDictType.h"

#include "chooseDictTypeData.cpp"
#include "chooseDictTypeData.moc.cpp"

#include "pixmaps/tipo_texto.xpm"
#include "pixmaps/tipo_babylon.xpm"
#include "pixmaps/tipo_dict.xpm"

ChooseDictType::ChooseDictType
(
	QWidget* parent,
	const char* name
)
	:
	ChooseDictTypeData( parent, name, TRUE )
{
	//setCaption( _("Choose type") );

	etiqueta1->setPixmap( QPixmap( tipo_texto_xpm ) );
	etiqueta2->setPixmap( QPixmap( tipo_babylon_xpm ) );
	etiqueta3->setPixmap( QPixmap( tipo_dict_xpm ) );

	//Le quitamos el borde
	etiqueta1->setFrameStyle( QFrame::NoFrame | QFrame::Plain );
	etiqueta2->setFrameStyle( QFrame::NoFrame | QFrame::Plain );
	etiqueta3->setFrameStyle( QFrame::NoFrame | QFrame::Plain );

	//okButton->setDefault(true);  //QtArch no lo pone por defecto...
}


ChooseDictType::~ChooseDictType()
{
	debug("Destruyendo ChooseDictType");
}

DiccionarioBase::Tipo ChooseDictType::getChosenType() {
	if (i2e_check->isChecked()) return DiccionarioBase::Text_dict;
	if (baby_check->isChecked()) return DiccionarioBase::Babylon_dict;
	if (dict_check->isChecked()) return DiccionarioBase::Dict_dict;

	//Aqu no debera llegar
	return DiccionarioBase::Text_dict;
}

/*
void ChooseDictType::setBabyType(bool b) {
	baby_check->setChecked(b);
}

void ChooseDictType::setDictType(bool b) {
	dict_check->setChecked(b);
}

void ChooseDictType::setTextType(bool b) {
	i2e_check->setChecked(b);
}

bool ChooseDictType::isBabyType() {
	return baby_check->isChecked();
}

bool ChooseDictType::isDictType() {
	return dict_check->isChecked();
}

bool ChooseDictType::isTextType() {
	return i2e_check->isChecked();
}
*/

/*
void ChooseDictType::aceptar() {
	done(1);
}

void ChooseDictType::cancelar() {
	done(2);
}
*/

#include "chooseDictType.moc.cpp"

